Rated 4 out of 5 stars

+1
Needs to be updated!!!
Amazing theme

Rated 5 out of 5 stars

Please,please update this Add-on,this is my favourite.Cool theme.Pls and thx.

Rated 5 out of 5 stars

Please,please update this Add-on,this is my favourite.Cool theme.Pls and thx.

Rated 1 out of 5 stars

Why not update this theme, looks cool

Updated version Rated 5 out of 5 stars

I'm gonna throw my voice in with all of those that love this theme and are waiting for the new version to arrive. Thanx, and Great Job!!

Rated 5 out of 5 stars

Please update for 3.0.3 I really love this Add-on it is my favorite!

Rated 1 out of 5 stars

I don't like it, it's VERY black

DarkBlood Rated 5 out of 5 stars

Hey fella!

Thanks for this theme, it's the best theme out there for firefox.

Please can update it for the latest version of firefox.

Thanks in advance
guily

KEEP COOL!

Update Please! Rated 5 out of 5 stars

Hey fella!

This is the best theme by far for Firefox, please i would be glad if you update it, to make it compatible with latest firefox version.

Thanks in advance!
guily

KEEP COOL!

para firefox 3.0 Rated 4 out of 5 stars

Este tema me gusta mucho, pero por favor, trata de que este disponible para firefox 3.0 para poderlo usar.. Gracias

Rated 4 out of 5 stars

It needs to be updated. PLEASE UPDATE FAST!!!
{to 3.01}

Rated 5 out of 5 stars

3.0.1 please. this is my FAVORITE theme!! 6/5

Rated 4 out of 5 stars

It was a great skin, but it became incompatible. I tried what Jake said and I dont have the choice of what to download addons w/.
Make a new version. Please?

不错。 Rated 4 out of 5 stars

嗯。不错。

Rated 5 out of 5 stars

*sorry I mean ''install.rdf''

Rated 5 out of 5 stars

Hello you guys.

Follow me indistruction to have all themes from firefox 2 in your firefox 3 compatible!!!

1.Dowonload the add-on with downthemall (its an firefox 3 add-on,you can download it on google.com)

2.Also open the winrar file that you downloaded.You will find in it a file ''istall.rdf''.

3.Open it and find there it says 3.0a1
and change it to 3.1.0
Click ok.

4.Open Firefox 3 and go to tools add-ons and paste the winrar file in it.

5.You are almost done!!!

It works!!

:) Rated 5 out of 5 stars

i LOVE this skin, it was the only one I used, but when I updated, like the other person said, it didn't work :(
when you can, please update it. :D

-SAMii

Love it, yet hate it Rated 5 out of 5 stars

I absolutely love this theme. I used to have it with Firefox 2.0, but I upgraded to 3.0.1 & IT DOESN'T WORK. I was totally let down at that. Can you plz make a version compatible with mine? lol, Now I'm stuck with this other theme & I don't like it much at all.

Rated 1 out of 5 stars

"DarkBlood 5.69 no se ha podido instalar porque no es compatible con Firefox 3.0.1."

Basically...

"Not compatible with Firefox 3.0.1"

Rated 3 out of 5 stars

I would have rated it 5 stars. I can't wait to see the FF3 version.